## ligo gracedb-2.14.3

=== debian/changelog ===
ligo-gracedb (2.14.3-1) unstable; urgency=low
  * Deprecate oLIB pipeline
  * Drop obsolete build/install dependencies on python-future
  * Documentation fixes

 -- Alexander E. Pace <alexander.pace@ligo.org>  Fri, 26 Sep 2025 12:00:00 -0000

ligo-gracedb (2.14.1-1) unstable; urgency=low
  * Token adaptor bugfixes
  * Logging improvements

 -- Alexander E. Pace <alexander.pace@ligo.org>  Thu, 06 Mar 2025 19:32:06 -0500

ligo-gracedb (2.14.0-1) unstable; urgency=low
  * add scitoken reloading

 -- Alexander E. Pace <alexander.pace@ligo.org>  Tue, 04 Mar 2025 09:15:14 -0500

ligo-gracedb (2.13.2-1) unstable; urgency=low
  * Fix packaging

 -- Alexander E. Pace <alexander.pace@ligo.org>  Mon, 03 Mar 2025 11:05:23 -0500

ligo-gracedb (2.13.1-1) unstable; urgency=low
  * Fix packaging

 -- Alexander E. Pace <alexander.pace@ligo.org>  Fri, 28 Feb 2025 12:28:59 -0500

ligo-gracedb (2.13.0-1) unstable; urgency=low
  * add gwtc-specific API commands into base client
  * catch decoding error in command-line client
  * packaging and pipeline updates
  * docs build updates

 -- Alexander E. Pace <alexander.pace@ligo.org>  Fri, 04 Oct 2024 16:16:05 -0400

ligo-gracedb (2.12.0-1) unstable; urgency=low
  * add retry on POST and PATCH operations
  * Remove all use of six
  * Remove use of mock package
  * Update to igwn-auth-utils 1.0.0
  * Packaging and testing updates

 -- Alexander E. Pace <alexander.pace@ligo.org>  Wed, 06 Sep 2023 21:24:48 -0700

ligo-gracedb (2.11.0-1) unstable; urgency=low
  * add support retrying on errors
  * Update default scitoken scope

 -- Alexander E. Pace <alexander.pace@ligo.org>  Tue, 18 Apr 2023 09:47:15 -0700

ligo-gracedb (2.10.0-1) unstable; urgency=low
  * add labels at log/upload time
  * testing fixes
  * documentation fixes

 -- Alexander E. Pace <alexander.pace@ligo.org>  Mon, 12 Dec 2022 06:34:29 -0800

ligo-gracedb (2.9.0-1) unstable; urgency=low
  * support HasMassGap instead of MassGap for VOEvents
  * gw_id support for naming confirmed GWs

 -- Alexander E. Pace <alexander.pace@ligo.org>  Fri, 11 Nov 2022 09:58:54 -0800

ligo-gracedb (2.8.0-1) unstable; urgency=low
  * use igwn-auth-utils for credential finding

 -- Alexander E. Pace <alexander.pace@ligo.org>  Wed, 11 May 2022 10:11:30 -0700

ligo-gracedb (2.7.8-1) unstable; urgency=low
  * pipeline-specific preferred event features
  * camelCase to snake_case transition 
  * documentation changes

 -- Alexander E. Pace <alexander.pace@ligo.org>  Thu, 04 Aug 2022 20:32:56 -0400

ligo-gracedb (2.7.7-1) unstable; urgency=low
  * Drop python2 support
  * Dependency and testing fixes
  * Removed legacy CLI 
  * Fixed client.stop() recursion error
  * Documentation cleanup

 -- Alexander E. Pace <alexander.pace@ligo.org>  Mon, 28 Mar 2022 14:57:40 -0700

ligo-gracedb (2.7.6-1) unstable; urgency=low
  * fix for return vs. break for generator return calls.

 -- Alexander E. Pace <alexander.pace@ligo.org>  Fri, 19 Feb 2021 21:46:56 +0000

ligo-gracedb (2.7.5-1) unstable; urgency=low
  * changed search order for x509 credentials

 -- Alexander E. Pace <alexander.pace@ligo.org>  Fri, 08 Jan 2021 19:31:35 +0000

ligo-gracedb (2.7.4-1) unstable; urgency=low
  * fix for requests/urllib3 bug
  * fix for json response for update event CLI command
  * packaging changes

 -- Alexander E. Pace <alexander.pace@ligo.org>  Mon, 14 Dec 2020 20:53:47 +0000

ligo-gracedb (2.7.3-1) unstable; urgency=low
  * json() method for file retrieval. 

 -- Alexander E. Pace <alexander.pace@ligo.org>  Mon, 23 Nov 2020 20:54:49 +0000

ligo-gracedb (2.7.2-1) unstable; urgency=low
  * Bugfix for certificate check failure with tuple'd credentials

 -- Alexander E. Pace <alexander.pace@ligo.org>  Mon, 16 Nov 2020 21:03:38 +0000

ligo-gracedb (2.7.1-1) unstable; urgency=low
  * Improved exception handling for HTTPErrors
  * Fix and deprecation warning for gracedb_legacy CLI tool

 -- Alexander E. Pace <alexander.pace@ligo.org>  Mon, 19 Oct 2020 15:00:00 +0000

ligo-gracedb (2.7.0-1) unstable; urgency=low
  * Backend rewrite using "requests" package

 -- Alexander E. Pace <alexander.pace@ligo.org>  Thu, 06 Aug 2020 11:03:15 -0700

ligo-gracedb (2.6.1-1) unstable; urgency=low
  * SSL_PROTOCOL fix for python < 2.7.13

 -- Alexander E. Pace <alexander.pace@ligo.org>  Fri, 05 Jun 2020 13:03:59 -0400

ligo-gracedb (2.6.0-1) unstable; urgency=low
  * Added time/space_coinc_far fields to support RAVEN
  * Testing and packaging changes.

 -- Alexander E. Pace <alexander.pace@ligo.org>  Thu, 04 Jun 2020 19:59:39 +0000

ligo-gracedb (2.5.0-1) unstable; urgency=low

  * Add RAVEN fields to updateSuperevent
  * Add RAVEN VOEvent support to createVOEvent
  * Remove decade-old (?) patch to support Python 2.6 

 -- Alexander E. Pace <alexander.pace@ligo.org>  Mon, 25 Nov 2019 15:21:53 -0500

ligo-gracedb (2.4.0-1) unstable; urgency=low

  * Add client method and CLI method for updating a GRB event

 -- Tanner Prestegard <tanner.prestegard@ligo.org>  Wed, 21 Aug 2019 13:37:46 -0500

ligo-gracedb (2.3.0-1) unstable; urgency=low

  * Add feature for reloading an expired X.509 certificate
  * Add utility function for checking user account on the server
  * Add comprehensive documentation
  * Add/apply linting
  * Bugfix handling of different response types in command-line interface
  * Bugfix assumption that $HOME exists
  * Bugfix fail_if_noauth usage in client class
  * Bugfix uses of sys.hexversion

 -- Tanner Prestegard <tanner.prestegard@ligo.org>  Wed, 17 Jul 2019 10:22:46 -0500

ligo-gracedb (2.2.2-1) unstable; urgency=low

  * Bugfix Python 3 compatibility with dict keys and values
  * Bugfix handling of bytes responses in command-line interface
  * Improve command-line interface help

 -- Tanner Prestegard <tanner.prestegard@ligo.org>  Thu, 07 Mar 2019 21:56:01 -0600

ligo-gracedb (2.2.1-1) unstable; urgency=low

  * Bugfix default service URL for command-line interface
  * Bugfix packaging


