## ligo scald-0.8.5

=== debian/changelog ===
ligo-scald (0.8.5-1) unstable; urgency=low

  * Fix timestamp indexing
  * Use shutil for copying directory trees in reports
  * Add resources module for accessing templates/static files
  * Fix line protocol for floats in numpy 2.x
  * Fix packaging issues in io submodule in some installation pathways

 -- Olivia Godwin <olivia.godwin@ligo.org>  Tue, 20 Jan 2026 11:21:26 -0800

ligo-scald (0.8.4-1) unstable; urgency=low

  * fix AttributeError in Consumer.retrieve_rows_by_tag
  * address build warnings from missing long_description
  * remove superfluous group.id from Kafka producer setttings
  * fix issue in disabling insecure request warnings
  * modify python_requires version to avoid build issue

 -- Patrick Godwin <patrick.godwin@ligo.org>  Mon, 01 May 2023 14:08:43 -0700

ligo-scald (0.8.3-1) unstable; urgency=low

  * scald aggregate: subscribe to unique set of topics

 -- Patrick Godwin <patrick.godwin@ligo.org>  Mon, 06 Feb 2023 11:16:35 -0500

ligo-scald (0.8.2-1) unstable; urgency=low

  * Fix tag order with Kafka client when consuming messages
  * aggregator.py: address static type checker warnings
  * Remove custom median aggregate implementation in favor of
    statistics.median_high

 -- Patrick Godwin <patrick.godwin@ligo.org>  Mon, 28 Nov 2022 12:45:29 -0800

ligo-scald (0.8.1-1) unstable; urgency=low

  * Fix tag order with Kafka client when consuming messages
  * Allow filtering by tag within scald aggregate
  * Fix excessive sleep in scald aggregate
  * Fix issue when consuming messages via Kafka with empty tags
  * Return HTTP warnings from InfluxDB queries
  * Fix issue when storing columns in Influx when aggregation is
    disabled

 -- Patrick Godwin <patrick.godwin@ligo.org>  Fri, 22 Jul 2022 10:36:35 -0400

ligo-scald (0.8.0-1) unstable; urgency=low

  * Drop python 2 support
  * Add io.kafka module with a simple Client impl for pushing metrics
  * Remove dependency on ligo-common
  * Remove hdf5 backend support
  * Finer control over SSL/auth settings with Influx backend
  * Allow themes in generated reports, add gwdetchar theme
  * Add FlatTable, ImageBoard report components to emulate detchar pages
  * Add ImagePagination report component to cycle between images
  * allow schemas and topics to differ in name to allow multiple analyses
    within scald aggregate

 -- Patrick Godwin <patrick.godwin@ligo.org>  Thu, 17 Feb 2022 06:45:51 -0800

ligo-scald (0.7.2-1) unstable; urgency=low

  * Allow for non-default .netrc location for authentication
  * Fix issue with duplicate triggers in IFAR plot/table

 -- Patrick Godwin <patrick.godwin@ligo.org>  Wed, 27 Nov 2019 11:13:10 -0800

ligo-scald (0.7.1-1) unstable; urgency=medium

  * Fix zoom issue when dragging plots in dashboard when unlocked
  * Fix issue with JSON encoding when running 'scald mock' for python 3
  * Fix issue in Nagios threshold checks + critical status

 -- Patrick Godwin <patrick.godwin@ligo.org>  Thu, 03 Oct 2019 16:54:29 -0400

ligo-scald (0.7.0-1) unstable; urgency=medium

  * Change how config is loaded for 'scald serve' to allow more flexibility
    in WSGI frameworks
  * Switch CDN for javascript dependencies for speed, reliability
  * UI overhaul in dashboard, replace form in favor of navigation bar
  * Add ability to specify log scaling for heatmaps
  * Fix issues with missing data in heatmaps
  * Allow custom fill value for heatmaps
  * modify Consumer.query() to point to schemas for more intuitive usage
  * Add Kafka Reporter class for storing metrics
  * Add 'scald aggregate' for a general purpose metric aggregator
  * Modify configuration file layout to allow more flexibility
  * Allow multi-page dashboards from a single configuration

 -- Patrick Godwin <patrick.godwin@ligo.org>  Wed, 11 Sep 2019 07:30:59 -0700

ligo-scald (0.6.0-1) unstable; urgency=medium

  * Change kafka.retrieve_timeseries to expect topic -> route, partition ->
    job_id

 -- Patrick Godwin <patrick.godwin@ligo.org>  Thu, 18 Jul 2019 08:36:09 -0700

ligo-scald (0.5.1-1) unstable; urgency=medium

  * Fix TabError in report.py causing issues in python 3

 -- Patrick Godwin <patrick.godwin@ligo.org>  Fri, 12 Jul 2019 11:02:30 -0700

ligo-scald (0.5.0-1) unstable; urgency=medium

  * Rework gps time utilities to remove lal dependency
  * Rework scald.js Plot, Stream classes for speed, maintainability
  * Add timeseries + segment plot
  * Fix plotting bug where traces would get mixed up when using MultiSchema plots
  * Add ability to ingest raw timeseries through influx backend
  * Allow option to ingest configuration files through SCALDRC_PATH
  * Add Aggregator.store(), Consumer.query() methods for convenience
  * Change bar graphs to use 'group by' functions for speed, lower network I/O
  * Allow arbitrary triggers to be plotted through IFAR plot + table
  * Fix issue with nagios route when parsing configuration file
  * Expose new plot-based content for reports to generate dynamic plots

 -- Patrick Godwin <patrick.godwin@ligo.org>  Thu, 11 Jul 2019 08:53:45 -0700

ligo-scald (0.4.1-1) unstable; urgency=medium

  * Allow for certificate verification if HTTPS enabled
  * Fix issue with retrieving backend for table, nagios routes

 -- Patrick Godwin <patrick.godwin@ligo.org>  Wed, 05 Jun 2019 06:29:31 -0700

ligo-scald (0.4.0) unstable; urgency=medium

  * Added multi-axis and multi-schema plot support
  * Set grid lock in dashboard to be default
  * Add scald report for making offline-style webpages
  * Allow scald mock to generate triggers with multiple columns
  * Add support for multiple data backends
  * Fix binning issues with BinnedTimeHistogram

 -- Patrick Godwin <patrick.godwin@ligo.org>  Mon, 03 Jun 2019 16:27:57 -0700

ligo-scald (0.3.0) unstable; urgency=medium

  * Allow basic auth and HTTPS support for InfluxDB backend
  * Revamp dashboard with grid layout and resizeable plots
  * Add BinnedTimeHistogram plot
  * Switch HTTP library to urllib3

