=== debian/control ===
Source: ligo-scald
Maintainer: Olivia Godwin <olivia.godwin@ligo.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9), dh-python, python3-all-dev, python3-setuptools, help2man
Standards-Version: 3.8.4
X-Python3-Version: >=3.6

Package: python3-ligo-scald
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-bottle, python3-dateutil, python3-distutils, python3-numpy, python3-yaml, python3-urllib3
Provides: ${python3:Provides}
Description: SCalable Analytics for Ligo/virgo/kagra Data
 ligo-scald is a gravitational-wave monitoring and dynamic data visualization
 tool.
 .
 This package provides Python support.

Package: ligo-scald
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, python3-ligo-scald (= ${binary:Version})
Description: SCalable Analytics for Ligo/virgo/kagra Data
 ligo-scald is a gravitational-wave monitoring and dynamic data visualization
 tool.
 .
 This package provides the executable script(s).
