=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

#export PYBUILD_NAME := ligo-scald

# Automatically generate man pages with help2man
export PYBUILD_AFTER_INSTALL_python3 := \
	echo 'Automatically generating man pages with help2man' && \
	mkdir -p {destdir}/usr/share/man/man1 && \
	ls {destdir}/usr/bin | env PYTHONPATH={destdir}{install_dir} \
	xargs --verbose -I @ help2man --source $(DEB_SOURCE) \
	--version-string $(DEB_VERSION_UPSTREAM) --no-info --no-discard-stderr \
	{destdir}/usr/bin/@ -o {destdir}/usr/share/man/man1/@.1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	true
